## codelite 14.0

=== DatabaseExplorer/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.6.2)

# set the plugin name here
set( PLUGIN_NAME "DatabaseExplorer")

# Our project is called 'plugin' this is how it will be called in
# visual studio, and in our makefiles. 
project( ${PLUGIN_NAME} )

# It was noticed that when using MinGW gcc it is essential that 'core' is mentioned before 'base'.
find_package(wxWidgets COMPONENTS ${WX_COMPONENTS} REQUIRED)

# wxWidgets include (this will do all the magic to configure everything)
include( "${wxWidgets_USE_FILE}" )

if (UNIX AND NOT APPLE)
    set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC" )
    set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )
endif()

if ( APPLE )
    add_definitions(-fPIC)
endif()


if ( WITH_MYSQL )
    find_library(LIBMYSQLCLIENT NAMES libmysqlclient.so)
    if (  ${LIBMYSQLCLIENT} STREQUAL "LIBMYSQLCLIENT-NOTFOUND") 
        message( FATAL_ERROR "-- Could not locate libmysqlclient.so" )
    else ( ${LIBMYSQLCLIENT} STREQUAL "LIBMYSQLCLIENT-NOTFOUND" )
        message( "-- LIBMYSQLCLIENT is set to ${LIBMYSQLCLIENT}" )
    endif ( ${LIBMYSQLCLIENT} STREQUAL "LIBMYSQLCLIENT-NOTFOUND" )
    add_definitions( -DDBL_USE_MYSQL=1 )
endif ( WITH_MYSQL )

## On UNIX we require GTK
if (UNIX AND NOT APPLE)

    if (GTK_VERSION EQUAL 3)
        set(OLD_CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}) # Cache the current value
        set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
        find_package(GTK3)
        set(CMAKE_MODULE_PATH ${OLD_CMAKE_MODULE_PATH}) # Reset, else the official path isn't used again :/
        if (GTK3_FOUND)
            include_directories(${GTK3_INCLUDE_DIRS})
        else (GTK3_FOUND)
            message(FATAL_ERROR "Could not locate GTK.")
        endif (GTK3_FOUND)
    else()
        find_package(GTK2)
        if (GTK2_FOUND)
            include_directories(${GTK2_INCLUDE_DIRS})
        else (GTK2_FOUND)
            message(FATAL_ERROR "Could not locate GTK.")
        endif (GTK2_FOUND)
    endif()

endif (UNIX AND NOT APPLE)

if ( USE_PCH )
    add_definitions(-include "${CL_PCH_FILE}")
    add_definitions(-Winvalid-pch)
endif ( USE_PCH )

# Include paths
include_directories("${CL_SRC_ROOT}/Plugin" 
                    "${CL_SRC_ROOT}/sdk/wxsqlite3/include" 
                    "${CL_SRC_ROOT}/CodeLite" "${CL_SRC_ROOT}/PCH" 
                    "${CL_SRC_ROOT}/Interfaces" 
                    "${CL_SRC_ROOT}/sdk/wxshapeframework/include"
                    "${CL_SRC_ROOT}/sdk/databaselayer/include" )

add_definitions(-DWXUSINGDLL_WXSQLITE3)
add_definitions(-DWXUSINGDLL_CL)
add_definitions(-DWXUSINGDLL_SDK)
add_definitions(-DDBL_USE_SQLITE)

FILE(GLOB SRCS "*.cpp")

# Define the output
add_library(${PLUGIN_NAME} SHARED ${SRCS})

# Remove the "lib" prefix from the plugin name
set_target_properties(${PLUGIN_NAME} PROPERTIES PREFIX "")

if (GTK3_FOUND)
    set(GTK_LIBS ${GTK3_LIBRARIES})
else()
    set(GTK_LIBS ${GTK2_LIBRARIES})
endif()

target_link_libraries(${PLUGIN_NAME}
                      ${LINKER_OPTIONS}
                      ${wxWidgets_LIBRARIES}
                      ${GTK_LIBS}
                      libcodelite
                      plugin
                      wxshapeframework
                      databaselayersqlite
                      )
CL_INSTALL_PLUGIN(${PLUGIN_NAME})

=== MacBundler/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.6.2)

# set the plugin name here
set( PLUGIN_NAME "MacBundler")

# Our project is called 'plugin' this is how it will be called in
# visual studio, and in our makefiles. 
project( ${PLUGIN_NAME} )

# It was noticed that when using MinGW gcc it is essential that 'core' is mentioned before 'base'.
find_package(wxWidgets COMPONENTS ${WX_COMPONENTS} REQUIRED)

# wxWidgets include (this will do all the magic to configure everything)
include( "${wxWidgets_USE_FILE}" )

# Include paths
include_directories("${CL_SRC_ROOT}/Plugin" 
                    "${CL_SRC_ROOT}/sdk/wxsqlite3/include" 
                    "${CL_SRC_ROOT}/CodeLite" 
                    "${CL_SRC_ROOT}/PCH" 
                    "${CL_SRC_ROOT}/Interfaces")

add_definitions(-DWXUSINGDLL_WXSQLITE3)
add_definitions(-DWXUSINGDLL_CL)
add_definitions(-DWXUSINGDLL_SDK)

if ( USE_PCH )
    add_definitions(-include "${CL_PCH_FILE}")
    add_definitions(-Winvalid-pch)
endif ( USE_PCH )

FILE(GLOB SRCS "*.cpp")

# Define the output
add_library(${PLUGIN_NAME} SHARED ${SRCS})

# Remove the "lib" prefix from the plugin name
set_target_properties(${PLUGIN_NAME} PROPERTIES PREFIX "")
target_link_libraries(${PLUGIN_NAME} 
                      ${LINKER_OPTIONS} 
                      ${wxWidgets_LIBRARIES} 
                      libcodelite 
                      plugin)

CL_INSTALL_PLUGIN(${PLUGIN_NAME})

=== ZoomNavigator/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.6.2)

# set the plugin name here
set( PLUGIN_NAME "ZoomNavigator")

# Our project is called 'plugin' this is how it will be called in
# visual studio, and in our makefiles. 
project( ${PLUGIN_NAME} )

# It was noticed that when using MinGW gcc it is essential that 'core' is mentioned before 'base'.
find_package(wxWidgets COMPONENTS ${WX_COMPONENTS} REQUIRED)

# wxWidgets include (this will do all the magic to configure everything)
include( "${wxWidgets_USE_FILE}" )

# Include paths
include_directories("${CL_SRC_ROOT}/Plugin" "${CL_SRC_ROOT}/sdk/wxsqlite3/include" "${CL_SRC_ROOT}/CodeLite" "${CL_SRC_ROOT}/PCH" "${CL_SRC_ROOT}/Interfaces")

add_definitions(-DWXUSINGDLL_WXSQLITE3)
add_definitions(-DWXUSINGDLL_CL)
add_definitions(-DWXUSINGDLL_SDK)

if ( USE_PCH )
    add_definitions(-include "${CL_PCH_FILE}")
    add_definitions(-Winvalid-pch)
endif ( USE_PCH )

if (UNIX AND NOT APPLE)
    set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC" )
    set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )
endif()

if ( APPLE )
    add_definitions(-fPIC)
endif()


FILE(GLOB SRCS "*.cpp")

# Define the output
add_library(${PLUGIN_NAME} SHARED ${SRCS})

# Remove the "lib" prefix from the plugin name
set_target_properties(${PLUGIN_NAME} PROPERTIES PREFIX "")
target_link_libraries(${PLUGIN_NAME}
                      ${LINKER_OPTIONS}
                      ${wxWidgets_LIBRARIES}
                      libcodelite
                      plugin
                      )
CL_INSTALL_PLUGIN(${PLUGIN_NAME})

=== codelite_echo/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.6.2)
 
# Our project is called 'codelite' this is how it will be called in
# visual studio, and in our makefiles. 
project(codelite-echo)

# prepare list of files
set(SRCS "main.c")

# Define the output
add_executable(codelite-echo ${SRCS})
CL_INSTALL_EXECUTABLE(codelite-echo)

=== debian/changelog ===
codelite (14.0-1unofficial3.bionic) bionic; urgency=low

  * New workspace type: The File System Workspace
  * Multiple UI changes

 -- David Hart <david@codelite.co.uk>  Wed, 25 Feb 2020 19:35:05 +0000

codelite (13.0-1) stable; urgency=low

  * New Language Server Plugin for code-completion
  * The wxCrafter plugin is now open-source and included in the main package
  * Multiple UI changes

 -- David Hart <david@codelite.co.uk>  Mon, 13 May 2019 12:30:16 +0100

=== debian/control ===
Source: codelite
Section: devel
Priority: optional
Maintainer: David Hart <david@codelite.co.uk>
Build-Depends: debhelper (>= 7.0.50~),  cmake, libclang-dev (>=3.4), liblldb-dev (>=3.9) | liblldb-3.9-dev | liblldb-4.0-dev, libssh-dev | libssh-gcrypt-dev, libhunspell-dev, libsqlite3-dev
Standards-Version: 3.9.1
Homepage: http://www.codelite.org


Package: codelite
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, clang-format, libssh-4 | libssh-gcrypt-4
Recommends: gdb, lldb (>=3.4), gnome-terminal | konsole | lxterminal | mate-terminal | qterminal | xfce4-terminal, xterm, nodejs, clang-tools
Conflicts: codelite-plugins, wxcrafter
Description: cross-platform C/C++ RAD
 Codelite is a powerful open-source, cross-platform code editor and RAD.
 It uses a sophisticated yet intuitive interface, which allows the user
 easily to create and build complex projects.
 A particular feature is its excellent code completion.


Package: codelite-dbg
Architecture: any
Depends: codelite (= ${binary:Version})
Recommends: gdb
Description: Debug symbols for CodeLite
 Codelite is a powerful open-source, cross-platform code editor and RAD.
 It uses a sophisticated yet intuitive interface, which allows the user
 easily to create and build complex projects.
 A particular feature is its excellent code completion.

## codelite 14.0%2Bdfsg

=== MemCheck/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.6.2)

# Not supported under OSX
if(UNIX AND NOT APPLE)
    message("-- Adding Valgrind Plugin")
    # set the plugin name here
    set( PLUGIN_NAME "MemCheck")

    # Our project is called 'plugin' this is how it will be called in
    # visual studio, and in our makefiles. 
    project( ${PLUGIN_NAME} )

    # It was noticed that when using MinGW gcc it is essential that 'core' is mentioned before 'base'.
    find_package(wxWidgets COMPONENTS ${WX_COMPONENTS} REQUIRED)

    # wxWidgets include (this will do all the magic to configure everything)
    include( "${wxWidgets_USE_FILE}" )

    # Include paths
    include_directories("${CL_SRC_ROOT}/Plugin" 
                        "${CL_SRC_ROOT}/sdk/wxsqlite3/include" 
                        "${CL_SRC_ROOT}/CodeLite" 
                        "${CL_SRC_ROOT}/PCH" 
                        "${CL_SRC_ROOT}/Interfaces")

    add_definitions(-DWXUSINGDLL_WXSQLITE3)
    add_definitions(-DWXUSINGDLL_CL)
    add_definitions(-DWXUSINGDLL_SDK)

    if ( USE_PCH )
        add_definitions(-include "${CL_PCH_FILE}")
        add_definitions(-Winvalid-pch)
    endif ( USE_PCH )


    if (UNIX AND NOT APPLE)
        set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC" )
        set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )
    endif()

    if ( APPLE )
        add_definitions(-fPIC)
    endif()

    FILE(GLOB SRCS "*.cpp")

    # Define the output
    add_library(${PLUGIN_NAME} SHARED ${SRCS})

    # Remove the "lib" prefix from the plugin name
    set_target_properties(${PLUGIN_NAME} PROPERTIES PREFIX "")
    target_link_libraries(${PLUGIN_NAME} ${LINKER_OPTIONS} ${wxWidgets_LIBRARIES} -L"${CL_LIBPATH}" libcodelite plugin)

    # Make sure that the plugin will not start build before 'plugin.so' is ready
    add_dependencies(${PLUGIN_NAME} plugin)
    install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIR})

endif()

=== UnitTestCPP/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.6.2)

# set the plugin name here
set( PLUGIN_NAME "UnitTestsPP")

# Our project is called 'plugin' this is how it will be called in
# visual studio, and in our makefiles. 
project( ${PLUGIN_NAME} )

# It was noticed that when using MinGW gcc it is essential that 'core' is mentioned before 'base'.
find_package(wxWidgets COMPONENTS ${WX_COMPONENTS} REQUIRED)

# wxWidgets include (this will do all the magic to configure everything)
include( "${wxWidgets_USE_FILE}" )

# Include paths
include_directories("${CL_SRC_ROOT}/Plugin" "${CL_SRC_ROOT}/sdk/wxsqlite3/include" "${CL_SRC_ROOT}/CodeLite" "${CL_SRC_ROOT}/PCH" "${CL_SRC_ROOT}/Interfaces")

add_definitions(-DWXUSINGDLL_WXSQLITE3)
add_definitions(-DWXUSINGDLL_CL)
add_definitions(-DWXUSINGDLL_SDK)

if ( USE_PCH )
    add_definitions(-include "${CL_PCH_FILE}")
    add_definitions(-Winvalid-pch)
endif ( USE_PCH )

if (UNIX AND NOT APPLE)
    set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC" )
    set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )
endif()

if ( APPLE )
    add_definitions(-fPIC)
endif()



FILE(GLOB SRCS "*.cpp")

# Define the output
add_library(${PLUGIN_NAME} SHARED ${SRCS})

# Remove the "lib" prefix from the plugin name
set_target_properties(${PLUGIN_NAME} PROPERTIES PREFIX "")
target_link_libraries(${PLUGIN_NAME}
                      ${LINKER_OPTIONS}
                      ${wxWidgets_LIBRARIES}
                      libcodelite
                      plugin
                      )


CL_INSTALL_PLUGIN(${PLUGIN_NAME})

=== codelite_vim/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.8)

# set the plugin name here
set( PLUGIN_NAME "codelite_vim")

# Our project is called 'plugin' this is how it will be called in
# visual studio, and in our makefiles. 
project( ${PLUGIN_NAME} )

# It was noticed that when using MinGW gcc it is essential that 'core' is mentioned before 'base'.
find_package(wxWidgets COMPONENTS ${WX_COMPONENTS} REQUIRED)

# wxWidgets include (this will do all the magic to configure everything)
include( "${wxWidgets_USE_FILE}" )

# Include paths
include_directories("${CL_SRC_ROOT}/Plugin" 
                    "${CL_SRC_ROOT}/sdk/wxsqlite3/include" 
                    "${CL_SRC_ROOT}/CodeLite" 
                    "${CL_SRC_ROOT}/PCH" 
                    "${CL_SRC_ROOT}/Interfaces")

add_definitions(-DWXUSINGDLL_WXSQLITE3)
add_definitions(-DWXUSINGDLL_CL)
add_definitions(-DWXUSINGDLL_SDK)
#add_definitions(-DASTYLE_LIB)

#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0")        ## No optimization, debug info

if ( USE_PCH )
    add_definitions(-include "${CL_PCH_FILE}")
    add_definitions(-Winvalid-pch)
endif ( USE_PCH )

if (UNIX AND NOT APPLE)
    set ( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC" )
    set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )
endif()

if ( APPLE )
    add_definitions(-fPIC)
endif()

FILE(GLOB SRCS "*.cpp")


#add_dependencies(plugin libcodelite)

# Define the output
add_library(${PLUGIN_NAME} SHARED ${SRCS})

# Remove the "lib" prefix from the plugin name
set_target_properties(${PLUGIN_NAME} PROPERTIES PREFIX "")
target_link_libraries(${PLUGIN_NAME}
                      ${LINKER_OPTIONS}
                      ${wxWidgets_LIBRARIES}
                      libcodelite
                      plugin
                      )

# Use CodeLite's macro: CL_INSTALL_PLUGIN which handles both OSX and Linux installation
CL_INSTALL_PLUGIN(${PLUGIN_NAME})

=== wxcrafter/CMakeLists.txt ===
# define minimum cmake version
cmake_minimum_required(VERSION 2.8)

if ( WXC_APP )
    message("-- Building wxCrafter as a standalone executable ")
    add_definitions( -DSTANDALONE_BUILD=1 )
    add_definitions( -DINSTALL_PREFIX=\"${CL_PREFIX}\")
else ( WXC_APP )
    message("-- Building wxCrafter as codelite plugin ")
    add_definitions( -DWXCAPP=0 )
if (OFFICIAL_CL_BUILD)
    message("-- Building wxCrafter for an official CodeLite build")
endif (OFFICIAL_CL_BUILD)

endif ( WXC_APP )

# set the plugin name here
if ( WXC_APP )
    set( PLUGIN_NAME "wxcrafter")
else ( WXC_APP )
    set( PLUGIN_NAME "wxCrafter")
endif ( WXC_APP)

set( WXC_DIR "${CL_SRC_ROOT}/wxcrafter")

message("-- Generating makefile for wxCrafter")

# Our project is called 'plugin' this is how it will be called in
# visual studio, and in our makefiles. 
project( ${PLUGIN_NAME} )

if ( UNIX AND NOT APPLE )
    set(__WX_COMPONENTS "std aui propgrid stc richtext ribbon")
else (UNIX AND NOT APPLE )
    # Apple, monolithic build of wxWidgets
    set(__WX_COMPONENTS "std")
endif()

find_package(wxWidgets COMPONENTS ${__WX_COMPONENTS} REQUIRED)

# wxWidgets include (this will do all the magic to configure everything)
include( "${wxWidgets_USE_FILE}" )

# Include paths
include_directories("${CL_SRC_ROOT}/Plugin" 
                    "${CL_SRC_ROOT}/sdk/wxsqlite3/include" 
                    "${CL_SRC_ROOT}/CodeLite" 
                    "${CL_SRC_ROOT}/PCH" 
                    "${CL_SRC_ROOT}/Interfaces")

add_definitions(-DWXUSINGDLL_WXSQLITE3)
add_definitions(-DWXUSINGDLL_CL)
add_definitions(-DWXUSINGDLL_SDK)

if ( USE_PCH )
    add_definitions(-include "${CL_PCH_FILE}")
    add_definitions(-Winvalid-pch)
    add_definitions(-fPIC)
endif ( USE_PCH )


# Add RPATH
## When building an application, set the install library to the proper location 
## which is now under /usr/lib/x86_64-linux-gnu/wxcrafter
if ( WXC_APP )
    set( WXC_INSTALL_LIBDIR "lib" )
    if ( NOT PREFIX )
        # If the caller hasn't set his own destination, install to a multi-arch lib dir if applicable
        if (CMAKE_VERSION VERSION_GREATER 2.8.7 AND ( UNIX AND NOT APPLE ))
            include (GNUInstallDirs) # defines CMAKE_INSTALL_LIBDIR to lib or lib64 or whatever. Available since cmake 2.8.8
            set( WXC_INSTALL_LIBDIR ${CMAKE_INSTALL_LIBDIR} )
        endif()
    endif( NOT PREFIX )
    set ( WXC_LIBS_DIR "${CL_PREFIX}/${WXC_INSTALL_LIBDIR}/${PLUGIN_NAME}")
    set (LINKER_OPTIONS -Wl,-rpath,"${WXC_LIBS_DIR}")
else ( WXC_APP )

if (NOT OFFICIAL_CL_BUILD)
    set (LINKER_OPTIONS -Wl,-rpath,"${PLUGINS_DIR}")
endif(NOT OFFICIAL_CL_BUILD)

endif ( WXC_APP )

FILE(GLOB SRCS "*.cpp")
FILE(GLOB WXCLIB_SRCS "wxcLib/*.cpp")

include_directories( ${CMAKE_CURRENT_LIST_DIR} )
include_directories( "${CMAKE_CURRENT_LIST_DIR}/wxcLib" )

add_definitions(-fPIC)
add_library(wxcLib STATIC ${WXCLIB_SRCS})

# Define the output
if ( NOT WXC_APP )
    add_library(${PLUGIN_NAME} SHARED ${SRCS})
else ( NOT WXC_APP ) 
    add_executable(${PLUGIN_NAME} ${SRCS})
endif ( NOT WXC_APP )

# Remove the "lib" prefix from the plugin name
set_target_properties(${PLUGIN_NAME} PROPERTIES PREFIX "")
target_link_libraries(${PLUGIN_NAME} wxcLib)

if ( NOT WXC_APP )

if (NOT OFFICIAL_CL_BUILD)
    target_link_libraries(${PLUGIN_NAME} ${LINKER_OPTIONS} ${wxWidgets_LIBRARIES} 
                          wxsqlite3 
                          ${SQLITE3_LIBRARY}
                          libcodelite 
                          plugin)
else(OFFICIAL_CL_BUILD)
    target_link_libraries(${PLUGIN_NAME} ${LINKER_OPTIONS} ${wxWidgets_LIBRARIES})
endif(NOT OFFICIAL_CL_BUILD)

else() 
    target_link_libraries(${PLUGIN_NAME} ${LINKER_OPTIONS} ${wxWidgets_LIBRARIES}
                          wxsqlite3 
                          libcodelite 
                          plugin
                          -lutil)
endif() 

if ( NOT WXC_APP )
    ## wxCrafter as codelite's plugin
    CL_INSTALL_PLUGIN(${PLUGIN_NAME})
    CL_INSTALL_FILE_SHARED(${WXC_DIR}/wxgui.zip)
    
else ( NOT WXC_APP )

    set(CPACK_DEB_COMPONENT_INSTALL 1)
    
    ## Installing an application
    install(TARGETS ${PLUGIN_NAME} DESTINATION ${CL_PREFIX}/bin PERMISSIONS ${EXE_PERM} COMPONENT standalone)
    install(FILES   "${WXC_DIR}/wxgui.zip" DESTINATION ${CL_PREFIX}/share/${PLUGIN_NAME} COMPONENT standalone)
    install(FILES   "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/liblibcodelite.so" DESTINATION ${WXC_LIBS_DIR} COMPONENT standalone)
    install(FILES   "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/libplugin.so" DESTINATION ${WXC_LIBS_DIR} COMPONENT standalone)
    install(FILES   "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/libwxsqlite3.so" DESTINATION ${WXC_LIBS_DIR} COMPONENT standalone)
    install(FILES   "${CL_SRC_ROOT}/wxcrafter/resources/wxc-logo-64.png" DESTINATION ${CL_PREFIX}/share/${PLUGIN_NAME} COMPONENT standalone)
    install(FILES   "${CL_SRC_ROOT}/Runtime/config/codelite.xml.default.gtk" DESTINATION ${CL_PREFIX}/share/${PLUGIN_NAME}/config RENAME codelite.xml.default  COMPONENT standalone)
    
if ( NOT DEBUG_BUILD )
    message("-- Will install ${CL_SRC_ROOT}/wxcrafter/wxCrafter.desktop to /usr/share/applications")
    install(FILES "${CL_SRC_ROOT}/wxcrafter/wxCrafter.desktop" DESTINATION /usr/share/applications  COMPONENT standalone)
endif ( NOT DEBUG_BUILD )

    ## Install codelite lexer files
    install(
        DIRECTORY ${CL_SRC_ROOT}/Runtime/lexers
        DESTINATION ${CL_PREFIX}/share/${PLUGIN_NAME}
        COMPONENT standalone
        USE_SOURCE_PERMISSIONS
        PATTERN ".svn" EXCLUDE
        PATTERN ".git" EXCLUDE
    )

    ##############################################
    ## CPack
    ##############################################
    message("-- Generating deb target")
    if( ${ARCH} EQUAL 32 )
        message("-- CPACK_DEBIAN_PACKAGE_ARCHITECTURE i386")
        set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "i386")
    else ()
        message("-- CPACK_DEBIAN_PACKAGE_ARCHITECTURE amd64")
        set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "amd64")
    endif ()
    
    #################################################################
    ## We need to deduce the location of the wx libs to be installed
    #################################################################
    execute_process(COMMAND ${WX_TOOL} --libs OUTPUT_VARIABLE WX_LIBSOUTPUT OUTPUT_STRIP_TRAILING_WHITESPACE)
    if (${WX_LIBSOUTPUT} MATCHES "^-L.+") # In recent, multi-architecture, distro versions it'll start with -L/foo/bar
        string(REGEX REPLACE "^-L([^ ;]+).*" "\\1" WX_LIBS_DIR ${WX_LIBSOUTPUT})
    else()
        set(WX_LIBS_DIR "/usr/lib") # ${WX_LIBS_DIR} will be empty for older, non multi-architecture, distro versions that still use /usr/lib
    endif()
    message("-- wxlibsdir is: ${WXC_LIBS_DIR}")

    # Grab the necessary libs
    execute_process(COMMAND ${WX_TOOL} --libs all OUTPUT_VARIABLE WX_LIBS_ALL_IN OUTPUT_STRIP_TRAILING_WHITESPACE)
    string(REPLACE " " ";" WX_LIBS_ALL_LIST ${WX_LIBS_ALL_IN}) # the semicolons make the variable into a list

    foreach(ITEM ${WX_LIBS_ALL_LIST})
        # We want to replace -l with lib. We also want to exclude imaginary libs called _all.so, which buggy wx-config scripts can invent
        if (${ITEM} MATCHES "-lwx_.+" AND NOT ${ITEM} MATCHES "-l.+_all.+")
            string(REGEX REPLACE "^-l" "lib" LIBITEM ${ITEM})
            list(APPEND WX_LIBS_ALL ${WX_LIBS_DIR}/${LIBITEM}.so*) # we need the terminal [.]so because the rpms contain both dynamic and static libs
        endif()
    endforeach()
    
    file(GLOB wxfilepaths ${WX_LIBS_ALL})
    install(FILES ${wxfilepaths} DESTINATION ${WXC_LIBS_DIR} COMPONENT standalone)

    set(CPACK_GENERATOR                   "DEB")
    set(CPACK_PACKAGE_NAME                "wxCrafter")
    set(CPACK_PACKAGE_VERSION             "2.9")
    set(CPACK_DEBIAN_PACKAGE_MAINTAINER   "Eran Ifrah <eran.ifrah@gmail.com>") #required
    set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "GUI Rad Tool for wxWidgets")
    set(CPACK_DEBIAN_PACKAGE_SECTION      "devel")
    set(CPACK_DEBIAN_PACKAGE_PRIORITY     "optional")
    set(CPACK_DEBIAN_PACKAGE_RECOMMENDS   "build-essential")
    set(CPACK_DEBIAN_PACKAGE_DEPENDS      "libc6, libssh-4, libsqlite3-dev")
    INCLUDE(CPack)
endif ( NOT WXC_APP )
